_COPY_FROM_USER(9)

NAME
_copy_from_user - Copy a block of data from user space.

SYNOPSIS

unsigned long _copy_from_user(void * to, const void __user * from, unsigned n);

ARGUMENTS

to
    Destination address, in kernel space.

from
    Source address, in user space.

n
    Number of bytes to copy.

CONTEXT

User context only. This function may sleep.

DESCRIPTION

Copy data from user space to kernel space.

Returns number of bytes that could not be copied. On success, this will be zero.

If some data could not be copied, this function will pad the copied data to the requested size using zero bytes.

COPYRIGHT